Loading...
Searching...
No Matches
aipsdef.h File Reference
`#include <casacore/casa/aipstype.h>`

Go to the source code of this file.

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Macros

#define | aips_name2(a, b)
#define | aips_debug
#define | restrict
| HP/UX.
#define | CASACORE_STRINGIFY(x)
| Define the macros to stringify a preprocessor variable.
#define | CASACORE_STRINGIFY_HELPER(x)
#define | CASACORE_FALLTHROUGH
| A fallthrough attribute to avoid compiler warnings, available only from C++17 onwards.

## Variables

Bool | casacore::aips_debug_on
| If AIPS_DEBUG is not defined, then the symbol expands to (0) which in an if should be removed by the dead code eliminator of any optimizer; thus using this in your code should have no performance penalty in the normal case.

## Macro Definition Documentation

## aips_debug

#define aips_debug

Definition at line 55 of file aipsdef.h.

## aips_name2

#define aips_name2 | ( |  | a,
|  |  | b )

Definition at line 38 of file aipsdef.h.

## CASACORE_FALLTHROUGH

#define CASACORE_FALLTHROUGH

A fallthrough attribute to avoid compiler warnings, available only from C++17 onwards.

Definition at line 88 of file aipsdef.h.

## CASACORE_STRINGIFY

#define CASACORE_STRINGIFY | ( |  | x | ) |

Define the macros to stringify a preprocessor variable.

Definition at line 76 of file aipsdef.h.

## CASACORE_STRINGIFY_HELPER

#define CASACORE_STRINGIFY_HELPER | ( |  | x | ) |

Definition at line 77 of file aipsdef.h.

## restrict

#define restrict

HP/UX.

The restrict keyword is supported by some compilers only.

Definition at line 71 of file aipsdef.h.